## khtmlib 0.40~20110401

=== debian/changelog ===
khtmlib (0.40~20110401-3) unstable; urgency=low

  * Package now maintained at the Debian OpenStreetMap Team (not
    JavaScript team):
    + Update Maintainer field in control file.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 16 Apr 2011 12:17:35 +0200

khtmlib (0.40~20110401-2) unstable; urgency=low

  * Adjust long description to mention 'WGS 84' (with space), and drop
    unrelated 'gps'. Thanks to Andrew O. Shadoura.
  * Bump copyright file format to draft 174 of DEP-5.
  * Use uglifyjs (not JavaScript::Packer). Update build-dependencies
    accordingly.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 16 Apr 2011 10:32:44 +0200

khtmlib (0.40~20110401-1) unstable; urgency=low

  * Initial release.
    Closes: Bug#621761.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 08 Apr 2011 21:33:58 +0200
