=== debian/control ===
Source: khtmlib
Section: web
Priority: optional
Maintainer: Debian OpenStreetMap Team <pkg-osm-maint@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs (>= 0.4.85~),
 debhelper (>= 7.0.1),
 dh-buildinfo,
 libnode-uglify
Standards-Version: 3.9.2
Homepage: https://github.com/robotnic/khtmlib
Vcs-Git: git://git.debian.org/git/collab-maint/khtmlib
Vcs-Browser: http://git.debian.org/?p=collab-maint/khtmlib.git

Package: libjs-khtmlib
Architecture: all
Depends: ${misc:Depends}
Recommends: javascript-common
Description: javascript library for browser maps
 Slippy Map is a web interface for browsing rendered OpenStreetMap data.
 .
 khtmlib is a javascript library to provide Slippy Maps. It has a very
 fast zoom and has also a basic interface for markers and vector data.
 .
  * API uses WGS 84.
  * OpenGL support (3D CSS) on iPhone
  * Hardware acceleration on WebKit
 .
 Please note that apart from good optimization for that particular
 (branch of) rendering engine(s), this library is not tied to KHTML (or
 its derivative WebKit).
