=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2010-2011, Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for khtmlib
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

-include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/debhelper.mk

libname = khtml
libpkgname = libjs-khtmlib

# suppress optional build-dependencies
CDBS_BUILD_DEPENDS_rules_upstream-tarball =
CDBS_BUILD_DEPENDS_rules_utils_copyright-check =

CDBS_BUILD_DEPENDS += , libnode-uglify

DEB_UPSTREAM_URL = http://githubredir.debian.net/github/robotnic/khtmlib/
DEB_UPSTREAM_TARBALL_BASENAME = $(DEB_UPSTREAM_TARBALL_VERSION)
DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
DEB_UPSTREAM_TARBALL_MD5 = 

# suppress checking binary files, to not upset dpkg-source
DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^(.*/\..*\.swp|.*\?.*|testcases/basics/((ui|userinterface)/scrollbar[23]\.png|css/margin_padding/images/bild1\.jpg)|debian/(changelog|copyright(|_hints|_newhints)))$

DEB_INSTALL_EXAMPLES_$(libpkgname) += index.html testcases

js-basedir = js/
js-stems = $(basename $(wildcard $(js-basedir)*.js))
js-min = $(js-stems:$(js-basedir)%=debian/%.min.js)

js-destdir = /usr/share/javascript/$(libname)

DEB_DH_INSTALL_ARGS_DEFAULT = $(addsuffix .js,$(js-stems)) debian/*.min.js $(js-destdir)

build/$(libpkgname):: $(js-min)
$(js-min): debian/%.min.js: $(js-basedir)%.js
	uglifyjs -o $@ $<
clean::
	rm -f debian/*.js

# Avoid installing editor backup files
binary-post-install/$(libpkgname)::
	find '$(cdbs_curdestdir)' -name '*.swp' -delete

# No files here should be set executable
common-binary-fixup-indep::
	chmod -R a-x,a+X $(cdbs_curdestdir)
