=== debian/watch ===
version=3
http://githubredir.debian.net/github/robotnic/khtmlib /(\d.*).tar.gz
